import { JSXElement } from "solid-js";

import { PublicComment } from "../Util/api";

interface CommentProps {
  comment: PublicComment;
}

export function Comment(props: CommentProps): JSXElement {
  return (
    <>
      <div class="py-5">
        <time class="text-xs opacity-50">{props.comment.created_at}</time>
      </div>
      <div class="">{props.comment.content}</div>
      <div class="divider"></div>
    </>
  );
}
